{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Consultez nos ebooks afin de trouver réponses à des questions bien précises concernant le Pectus Excavatum."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Le blog du Pectus Excavatum"/>
	<meta property="og:description" content="Consultez nos ebooks afin de trouver réponses à des questions bien précises concernant le Pectus Excavatum."/>
{% endblock %}

{% block title %}Ebooks
{% endblock %}

{% block body %}
	<div class="ebooks__breadcrumbs">
		{{ wo_render_breadcrumbs() }}
	</div>
	<h1 class="title title--1 center">Ebooks</h1>

	{% if not ebooks.items is same as([]) %}
		<h2 class="subtitle center">Découvrez les Ebooks !</h2>

		<section class="container ebooks">
			{% for alert in app.flashes('success') %}
				<div class="comments__validation">
					{% include 'components/_alert.html.twig' with {
						'class': 'alert alert__success',
						'content': alert
					} %}
				</div>
			{% endfor %}

			<div class="ebooks__list">
				{% for ebook in ebooks %}
					{% include 'components/card/_wide-card.html.twig' with {
						'big': false,
						'title': ebook.title,
						'thumbnail': {
							'item': ebook,
							'alt': ebook.imageName
						},
						'introduction': ebook.introduction,
						'path': {
							'name': 'ebook_show',
							'args': {
								'slug': ebook.slug
							}
						},
						'buttons': {
							1: {
								'class': 'button button__primary',
								'type': 'link',
								'path': {
									'name': 'ebook_show',
									'args': {
										'slug': ebook.slug
									},
									'anchor': '#download'
								},
								'label': 'Télécharger cet Ebook',
							},
							2: {
								'class': 'button button__secondary',
								'type': 'link',
								'path': {
									'name': 'ebook_show',
									'args': {
										'slug': ebook.slug
									},
								},
								'label': 'En savoir plus',
							}
						}
					} %}
				{% endfor %}
			</div>

			{{ knp_pagination_render(ebooks) }}
		</section>
	{% else %}
		<h2 class="subtitle center">Aucun ebook n'a été publié à ce jour.</h2>
	{% endif %}
{% endblock %}
